{{- define "cadvisor" -}}
image:
  {{- include "stacklight.getImage" (dict "root" . "image" "cadvisor") | nindent 2 }}
tolerations:
- key: "node-role.kubernetes.io/master"
  operator: "Exists"
  effect: "NoSchedule"
{{- if .Values.mke.enabled }}
- key: "com.docker.ucp.manager"
  operator: "Exists"
  effect: "NoSchedule"
{{- end }}
{{- $tolerations := (concat .Values.tolerations.default .Values.tolerations.component.cadvisor) | uniq }}
{{- if $tolerations }}
  {{ toYaml $tolerations | nindent 0 }}
{{- end }}
{{- if .Values.nodeSelector.component.cadvisor }}
nodeSelector:
  {{ toYaml .Values.nodeSelector.component.cadvisor | nindent 2 }}
{{- end }}
{{- include "stacklight.resources" (dict "inTplValues" .Values "service" "cadvisor") }}
updateStrategy:
  rollingUpdate:
    maxUnavailable: 50%
  type: RollingUpdate
{{- end }}
