{{- define "etcd" -}}
images:
  tags:
    etcd: {{ include "stacklight.getImage" (dict "root" . "image" "etcd" "flat" true) | quote }}
    dep_check: {{ include "stacklight.getImage" (dict "root" . "image" "kubernetesEntrypoint" "flat" true) | quote }}
    etcd_db_compact: {{ include "stacklight.getImage" (dict "root" . "image" "etcd" "flat" true) | quote }}
  pull_policy: "IfNotPresent"

# TODO(PRODX-29610): rewrite node selectors and tolerations
labels:
  server: {}
  job: {}
pod:
  replicas:
    etcd: {{ get (include "stacklight.replicas" . | fromYaml) "etcd" }}
  # resources: TODO(PRODX-29610): not possible to set limits for app container
volume:
  enabled: true
  size: {{ .Values.cortexDev.etcd.persistentVolumeClaimSize }}
{{- if or .Values.storage.defaultStorageClass .Values.storage.componentStorageClasses.etcd }}
  {{- $storageClass := .Values.storage.defaultStorageClass }}
  {{- if .Values.storage.componentStorageClasses.etcd }}
    {{- $storageClass = .Values.storage.componentStorageClasses.etcd }}
  {{- end }}
  class_name: "{{ $storageClass }}"
{{- end }}
{{- end -}}
