{{- define "grafanaAgent" -}}
{{- $logLevel := dict "root" $ "logLevels" (dict "trace" "debug" "debug" "debug" "info" "info" "warn" "warn" "error" "error" "crit" "critical") "component" "grafanaAgent" | include "stacklight.logLevel" -}}

overrideConfig:
  {{- if $logLevel }}
  server:
    log_level: {{ $logLevel }}
  {{- end }}
  metrics:
    configs: []
  integrations:
    metrics:
      autoscrape:
        enable: false
    eventhandler:
      cache_path: "/data/eventhandler.cache"
      logs_instance: "default"
  logs:
    configs:
    - name: default
      clients:
      - url: http://loki-distributor:3100/api/prom/push
      positions:
        filename: /data/positions0.yaml

livenessProbe:
  enabled: true

persistence:
  enabled: false

replicaCount: {{ get (include "stacklight.replicas" . | fromYaml) "grafanaAgent" }}
{{- include "stacklight.resources" (dict "inTplValues" .Values "service" "grafanaAgent") }}
{{- include "stacklight.nodeSelector" (dict "inTplValues" .Values "service" "grafanaAgent") }}
{{- include "stacklight.tolerations" (dict "inTplValues" .Values "service" "grafanaAgent") }}
{{- end -}}
