{{- define "ipmiExporter" -}}
credentialsSecret: {{ .Values.ipmiExporter.credentialsSecret | toYaml | nindent 2 }}

collectors:
{{- .Values.ipmiExporter.collectors | toYaml | nindent 2 }}

collectorsExtraArgs:
{{- .Values.ipmiExporter.collectorsExtraArgs | toYaml | nindent 2 }}

privilege: {{ .Values.ipmiExporter.privilege }}
driver: {{ .Values.ipmiExporter.driver }}
timeout: {{ .Values.ipmiExporter.timeout }}

replicaCount: {{ get (include "stacklight.replicas" . | fromYaml) "ipmiExporter" }}

image:
  {{- include "stacklight.getImage" (dict "root" . "image" "ipmiExporter") | nindent 2 }}
initYamlMerge:
  image:
    {{- include "stacklight.getImage" (dict "root" . "image" "yq") | nindent 4 }}
initScriptRun:
  image:
    {{- include "stacklight.getImage" (dict "root" . "image" "k8sSidecar") | nindent 4 }}

{{- include "stacklight.resources" (dict "inTplValues" .Values "service" "ipmiExporter") }}
{{- include "stacklight.nodeSelector" (dict "inTplValues" .Values "service" "ipmiExporter") }}
{{- include "stacklight.tolerations" (dict "inTplValues" .Values "service" "ipmiExporter") }}
{{- end -}}
