{{- define "refapp" -}}
{{- $logLevel := dict "root" $ "logLevels" (dict "trace" "debug" "debug" "debug" "info" "info" "warn" "info" "error" "info" "crit" "info") "component" "refapp" | include "stacklight.logLevel" -}}
global:
  dockerBaseUrl: {{ .Values.global.dockerBaseUrl }}
refapp:
  replicaCount: {{ get (include "stacklight.replicas" . | fromYaml) "refapp" }}
  debug: {{ eq "debug" $logLevel }}
{{- include "stacklight.resources" (dict "inTplValues" .Values "service" "refapp") | nindent 2 }}
{{- include "stacklight.nodeSelector" (dict "inTplValues" .Values "service" "refapp") | nindent 2 }}
{{- include "stacklight.tolerations" (dict "inTplValues" .Values "service" "refapp") | nindent 2 }}
db_init:
{{- include "stacklight.resources" (dict "inTplValues" .Values "service" "refappInit") | nindent 2 }}
cleanup:
{{- include "stacklight.resources" (dict "inTplValues" .Values "service" "refappCleanup") | nindent 2 }}
patroni:
  image:
    tag: {{ get (include "stacklight.getImage" (dict "root" . "image" "spilo") | fromYaml) "tag" }}
  persistentVolume:
    enabled: {{ .Values.refapp.workload.persistentVolumeEnabled }}
{{- if .Values.refapp.workload.persistentVolumeEnabled -}}
    {{- if .Values.refapp.workload.persistentVolumeSize }}
    size: {{ .Values.refapp.workload.persistentVolumeSize }}
    {{- end }}
    {{- if .Values.refapp.workload.storageClassName }}
    storageClass: {{ .Values.refapp.workload.storageClassName }}
    {{- end }}
{{- end -}}
{{- end -}}
