{{- define "stacklight.templatedAlerts" -}}
logging_temporary_alerts:
  {{- $opensearchConfiguredPVC := .Values.elasticsearch.persistentVolumeClaimSize }}
  OpenSearchPVCMismatch:
    annotations:
      description: The PVC size requested by OpenSearch StatefulSet does not match the configured PVC size. To troubleshoot the issue, refer to https://docs.mirantis.com/container-cloud/latest/operations-guide/tshoot/tshoot-stacklight/o-search-pvc-size-overwrite.html.
      summary: OpenSearch PVC size mismatch
    {{- $bytes := (include "stacklight.memoryToInt" $opensearchConfiguredPVC | trim) }}
    expr: max(kube_persistentvolumeclaim_resource_requests_storage_bytes{persistentvolumeclaim=~"opensearch-master-opensearch-master-.*"} != {{ $bytes }})
    for: 30m
    labels:
      service: opensearch
      severity: warning
{{- end -}}